summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorApollon Oikonomopoulos <apoikos@debian.org>2017-08-05 17:51:57 -0400
committerApollon Oikonomopoulos <apoikos@debian.org>2017-08-05 17:51:57 -0400
commite10f6bae09f206a25c706df71081c8bee1844561 (patch)
tree69374d6b5f0291475909396effbb05f7589413c5 /jenkins
New upstream version 1.0.0
Diffstat (limited to 'jenkins')
-rwxr-xr-xjenkins/deploy.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/jenkins/deploy.sh b/jenkins/deploy.sh
new file mode 100755
index 0000000..3bc667f
--- /dev/null
+++ b/jenkins/deploy.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+set -e
+set -x
+
+git fetch --tags
+
+lein test
+echo "Tests passed!"
+
+lein release
+echo "Release plugin successful, pushing changes to git"
+
+git push origin --tags HEAD:$RING_MIDDLEWARE_BRANCH
+echo "git push successful."